package opc.ua.services.common;

import opc.ua.addressspace.datatype.NodeId;

public class AttributeOperand {

	private NodeId nodeId;
	private String alias;
	private RelativePath browsePath;
	/** IntegerId */
	private Integer attributeId;
	private NumericRange indexRange;
	
	
	public NodeId getNodeId() {
		return nodeId;
	}
	public void setNodeId(NodeId nodeId) {
		this.nodeId = nodeId;
	}
	public String getAlias() {
		return alias;
	}
	public void setAlias(String alias) {
		this.alias = alias;
	}
	public RelativePath getBrowsePath() {
		return browsePath;
	}
	public void setBrowsePath(RelativePath browsePath) {
		this.browsePath = browsePath;
	}
	public Integer getAttributeId() {
		return attributeId;
	}
	public void setAttributeId(Integer attributeId) {
		this.attributeId = attributeId;
	}
	public NumericRange getIndexRange() {
		return indexRange;
	}
	public void setIndexRange(NumericRange indexRange) {
		this.indexRange = indexRange;
	}
}
